Page MenuHomePhabricator

Flow: Use PHP Virtual REST Service to access Parsoid
Open, NormalPublic

Description

From gerrit 170869:

Gabriel suggested that in the future we migrate to the PHP Virtual REST Service and through that share code between Flow, VE and anything else that wants to talk with parsoid.

https://www.mediawiki.org/wiki/Requests_for_comment/PHP_Virtual_REST_Service

With gerrit 181011 VisualEditor is doing this, so Flow can do the same and remove whatever cookie hacks @EBernhardson needed to access Parsoid from the private officewiki.


Version: master
Severity: minor

Details

Reference
bz72988

Related Objects

StatusAssignedTask
OpenNone
ResolvedKrenair
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:47 AM
bzimport set Reference to bz72988.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
Krenair renamed this task from Flow: use PHP Virtual REST Service to access Parsoid on private wikis (e.g. officewiki) to Flow: Use PHP Virtual REST Service to access Parsoid.Dec 19 2014, 11:13 PM
Krenair set Security to None.
matthiasmullie triaged this task as Normal priority.Jan 7 2015, 6:47 PM
matthiasmullie added a subscriber: matthiasmullie.
Spage updated the task description. (Show Details)Jan 7 2015, 7:30 PM
Spage removed a project: Scrum-of-Scrums.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 9:51 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:01 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 5:54 PM